# Détermine le nombre de jours de début de la recherche. 

$start = (Get-Date).AddDays(-7)

 

# Prends tous les événements pendant le nombre de jours sélectionné.

$eventNbr =[int]::MaxValue

 

Get-VIEvent -Start $start -MaxSamples $eventNbr |where {$_.Gettype().Name-eq "VmCreatedEvent" -or$_.Gettype().Name-eq "VmBeingClonedEvent" -or $_.Gettype().Name-eq "VmBeingDeployedEvent" -or $_.Gettype().Name-eq "VmRemovedEvent"} |Sort CreatedTime -Descending |Select CreatedTime,UserName,FullformattedMessage

 